%global _empty_manifest_terminate_build 0
Name:		python-uWSGI
Version:	2.0.19.1
Release:	5
Summary:	The uWSGI server
License:	GPL2
URL:		https://uwsgi-docs.readthedocs.io/en/latest/
Source0:	https://files.pythonhosted.org/packages/c7/75/45234f7b441c59b1eefd31ba3d1041a7e3c89602af24488e2a22e11e7259/uWSGI-2.0.19.1.tar.gz
%description
The uWSGI server

%package -n python3-uWSGI
Summary:	The uWSGI server
Provides:	python-uWSGI

BuildRequires:	openssl-devel
BuildRequires:	python3-devel gcc
BuildRequires:	python3-setuptools
BuildRequires:	python3-pip
BuildRequires:	chrpath

%description -n python3-uWSGI


%package help
Summary:	Development documents and examples for uWSGI
Provides:	python3-uWSGI-doc
%description help
Help doc for the uWSGI server

%prep
%autosetup -c uwsgi-%{version}

%build
%py3_build

%install
pip3 install --no-deps --root %{buildroot} .
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

chrpath -d %{buildroot}/%{_bindir}/uwsgi

%files -n python3-uWSGI -f filelist.lst
%dir %{python3_sitelib}/*
%exclude %{python3_sitelib}/__pycache__/

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Mon Dec 05 2022 wangkai <wangkai385@h-partners.com> - 2.0.19.1-5
- Remove rpath

* Sat Mar 19 2022 baizhonggui <baizhonggui@huawei.com> -  2.0.19.1-4
- The setup.py install is deprecated, use pip install instead to fix build error

* Tue Aug 31 2021 chenyanpanHW <chenyanpan@huawei.com> -  2.0.19.1-3
- DESC: uwsgi add BuildRequires openssl-devel to support --https

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 2.0.19.1-2
- Completing build dependencies to fix gcc compiler missing error

* Wed Aug 05 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
